Skip to main content
`Ctrl`+`K`

# PetscShmCommGet

Returns a sub-communicator of all ranks that share a common memory

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscShmCommGet(MPI_Comm globcomm, PetscShmComm *pshmcomm)

Collective.

## Input Parameter

- globcomm - `MPI_Comm`, which can be a user `MPI_Comm` or a PETSc inner `MPI_Comm`

## Output Parameter

- pshmcomm - the PETSc shared memory communicator object

## Note

When used with MPICH, MPICH must be configured with `--download-mpich-device=ch3:nemesis`

## See Also

`PetscShmCommGlobalToLocal()`, `PetscShmCommLocalToGlobal()`, `PetscShmCommGetMpiShmComm()`

## Level

developer

## Location

src/sys/utils/mpishm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages